# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define eclipse 0

Name:           apache-qpid-java
Summary:        Open Source AMQP Messaging
Url:            http://qpid.apache.org/
Version:        0.8
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Libraries/Java
BuildArch:      noarch
Source0:        apache-qpid-%{version}.tgz
# svn export http://svn.apache.org/repos/asf/qpid/tags/0.8/qpid/ apache-qpid-0.8
# tar czf ../SOURCES/apache-qpid-0.8.tgz apache-qpid-0.8/
Source1:        http://www.atb-bremen.de/artifactory/apache-servicemix/org/apache/qpid/qpid-broker/0.8.0/qpid-broker-0.8.0.pom
Source2:        http://www.atb-bremen.de/artifactory/apache-servicemix/org/apache/qpid/qpid-client/0.8.0/qpid-client-0.8.0.pom
Source3:        http://www.atb-bremen.de/artifactory/apache-servicemix/org/apache/qpid/qpid-common/0.8.0/qpid-common-0.8.0.pom

Patch0:         apache-qpid-common-xml.patch
Patch1:         apache-qpid-build-deps.patch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-configuration
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-pool
BuildRequires:  apache-felix-framework
BuildRequires:  apache-felix-main
BuildRequires:  avalon-logkit
BuildRequires:  backport-util-concurrent
%if %{eclipse}
BuildRequires:  eclipse-rcp
BuildRequires:  eclipse-swt
%endif
BuildRequires:  geronimo-jms-1.1-api
BuildRequires:  geronimo-servlet-2.5-api
BuildRequires:  javacc
BuildRequires:  javassist
BuildRequires:  jetty6
BuildRequires:  jetty6-ext
BuildRequires:  jline
BuildRequires:  junit
BuildRequires:  junit44
BuildRequires:  jython >= 0:2.5
BuildRequires:  log4j
BuildRequires:  mina10
BuildRequires:  mina10-filter-ssl
BuildRequires:  org.osgi.core
BuildRequires:  slf4j
BuildRequires:  velocity14
BuildRequires:  ws-muse-wsrf
BuildRequires:  ws-muse-wsx
BuildRequires:  ws-muse-core
BuildRequires:  ws-muse-util
BuildRequires:  ws-muse-platform-mini
BuildRequires:  ws-muse-wsa-soap
BuildRequires:  ws-muse-wsn
BuildRequires:  ws-muse-wsdm-muws
BuildRequires:  ws-muse-wsdm-wef
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2

Requires:  java >= 0:1.6.0
Requires:  apache-commons-beanutils
Requires:  apache-commons-cli
Requires:  apache-commons-codec
Requires:  apache-commons-collections
Requires:  apache-commons-configuration
Requires:  apache-commons-digester
Requires:  apache-commons-lang
Requires:  apache-commons-logging
Requires:  apache-commons-pool
Requires:  apache-felix-framework
Requires:  apache-felix-main
Requires:  backport-util-concurrent
Requires:  geronimo-jms-1.1-api
Requires:  geronimo-servlet-2.5-api
Requires:  javassist
Requires:  jetty6
Requires:  jetty6-ext
Requires:  jline
Requires:  junit
Requires:  log4j
Requires:  mina10
Requires:  mina10-filter-ssl
Requires:  slf4j
Requires:  ws-muse-wsrf
Requires:  ws-muse-wsx
Requires:  ws-muse-core
Requires:  ws-muse-util
Requires:  ws-muse-platform-mini
Requires:  ws-muse-wsa-soap
Requires:  ws-muse-wsn
Requires:  ws-muse-wsdm-muws
Requires:  ws-muse-wsdm-wef
Requires:  xalan-j2
Requires:  xerces-j2
Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot

%description
Apache Qpid is a cross-platform Enterprise Messaging system
implemthe Advanced Message Queuing Protocol (AMQP),
providing message brokers written in C++ and Java, along with
clients for C++, Java JMS, .Net, Python, and Ruby.
Enterprise Messaging systems let programs communicate by
exchanging messages, much as people communicate by exchanging
email. Unlike email, enterprise messaging systems provide
guaranteed delivery, speed, security, and freedom from spam.
Until recently, there was no open standard for Enterprise
Messaging systems, so programmers either wrote their own,
or used expensive proprietary systems.
AMQP is the first open standard for Enterprise Messaging. It is
designed to support messaging for just about any distributed
or business application. Routing can be configured flexibly,
easily supporting common messaging paradigms like point-to-point,
fanout, publish-subscribe, and request-response.
Apache Qpid implements the latest AMQP specification, providing
transaction management, queuing, distribution, security,
management, clustering, federation and heterogeneous
multi-platform support and a lot more. And Apache Qpid
is extremely fast. Apache Qpid aims to be 100% AMQP Compliant.

%package javadoc
Summary:     Javadoc for %{name}
Group:       Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n apache-qpid-%{version}
chmod -R go=u-w *
for j in $(find . -name "*.jar"); do
 mv $j $j.no
done
%patch0 -b .sav0
%patch1 -b .sav1
ln -sf $(build-classpath velocity14) gentools/lib/velocity-1.4.jar
ln -sf $(build-classpath commons-collections) gentools/lib/commons-collections-3.2.jar
ln -sf $(build-classpath avalon-logkit) gentools/lib/

ln -sf $(build-classpath slf4j/slf4j-api) java/lib/slf4j-api-1.6.1.jar
ln -sf $(build-classpath slf4j/slf4j-log4j12) java/lib/slf4j-log4j12-1.6.1.jar
ln -sf $(build-classpath commons-beanutils) java/lib/commons-beanutils-core-1.8.0.jar
ln -sf $(build-classpath commons-cli) java/lib/commons-cli-1.0.jar
ln -sf $(build-classpath commons-codec) java/lib/commons-codec-1.3.jar
ln -sf $(build-classpath commons-collections) java/lib/commons-collections-3.2.jar
ln -sf $(build-classpath commons-configuration) java/lib/commons-configuration-1.6.jar
ln -sf $(build-classpath commons-digester) java/lib/commons-digester-1.8.1.jar
ln -sf $(build-classpath commons-lang) java/lib/commons-lang-2.2.jar
ln -sf $(build-classpath commons-logging) java/lib/commons-logging-1.0.4.jar
ln -sf $(build-classpath commons-pool) java/lib/commons-pool-1.4.jar
ln -sf /usr/share/jython/jython.jar java/lib/jython-2.5.0.jar
ln -s $(build-classpath mina10/core) java/lib/mina-core-1.0.1.jar
ln -s $(build-classpath mina10/filter-ssl) java/lib/mina-filter-ssl-1.0.1.jar
ln -s $(build-classpath backport-util-concurrent) java/lib/backport-util-concurrent-2.2.jar
ln -s $(build-classpath javacc) java/lib/javacc.jar
ln -s $(build-classpath xalan-j2) java/lib/xalan-2.7.0.jar
ln -s $(build-classpath junit) java/lib/junit-3.8.1.jar
ln -s $(build-classpath junit44) java/lib/junit-4.4.jar
ln -s $(build-classpath log4j) java/lib/log4j-1.2.12.jar
ln -s $(build-classpath org.osgi.core) java/lib/org.osgi.core_1.0.0.jar
ln -s $(build-classpath apache-felix/org.apache.felix.framework) java/lib/org.apache.felix.framework-2.0.5.jar
ln -s $(build-classpath apache-felix/org.apache.felix.main) java/lib/org.apache.felix.main-3.0.9.jar
ln -s $(build-classpath geronimo-jms-1.1-api) java/lib/geronimo-jms_1.1_spec-1.0.jar
ln -s $(build-classpath geronimo-servlet-2.5-api) java/lib/geronimo-servlet_2.5_spec-1.2.jar
ln -s $(build-classpath javassist) java/lib/javassist.jar
ln -s $(build-classpath ws-muse/core) java/lib/muse-core-2.2.0.jar
ln -s $(build-classpath ws-muse/platform-mini) java/lib/muse-platform-mini-2.2.0.jar
ln -s $(build-classpath ws-muse/util) java/lib/muse-util-2.2.0.jar
ln -s $(build-classpath ws-muse/util-qname) java/lib/muse-util-qname-2.2.0.jar
ln -s $(build-classpath ws-muse/util-xml) java/lib/muse-util-xml-2.2.0.jar
ln -s $(build-classpath ws-muse/wsa-soap) java/lib/muse-wsa-soap-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-muws-adv-api) java/lib/muse-wsdm-muws-adv-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-muws-adv-impl) java/lib/muse-wsdm-muws-adv-impl-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-muws-api) java/lib/muse-wsdm-muws-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-muws-impl) java/lib/muse-wsdm-muws-impl-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-wef-api) java/lib/muse-wsdm-wef-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsdm-wef-impl) java/lib/muse-wsdm-wef-impl-2.2.0.jar
ln -s $(build-classpath ws-muse/wsn-api) java/lib/muse-wsn-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsn-impl) java/lib/muse-wsn-impl-2.2.0.jar
ln -s $(build-classpath ws-muse/wsrf-api) java/lib/muse-wsrf-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsrf-impl) java/lib/muse-wsrf-impl-2.2.0.jar
ln -s $(build-classpath ws-muse/wsrf-rmd) java/lib/muse-wsrf-rmd-2.2.0.jar
ln -s $(build-classpath ws-muse/wsx-api) java/lib/muse-wsx-api-2.2.0.jar
ln -s $(build-classpath ws-muse/wsx-impl) java/lib/muse-wsx-impl-2.2.0.jar
ln -s $(build-classpath xerces-j2) java/lib/xercesImpl-2.8.1.jar
ln -s $(build-classpath jetty6/jetty6-util) java/lib/jetty-util-6.1.14.jar
ln -s $(build-classpath jetty6/ext/jetty6-servlet-tester) java/lib/jetty-servlet-tester-6.1.14.jar
ln -s $(build-classpath jetty6/jetty6) java/lib/jetty-6.1.14.jar
ln -s $(build-classpath jetty6/start) java/lib/start.jar

%if %{eclipse}
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.commands_*.jar") java/lib/org.eclipse.core.commands_3.4.0.I20080509-2000.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.contenttype_*.jar") java/lib/org.eclipse.core.contenttype_3.3.0.v20080604-1400.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.databinding_*.jar") java/lib/org.eclipse.core.databinding_1.1.1.M20080827-0800b.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.expressions_*.jar") java/lib/org.eclipse.core.expressions_3.4.0.v20080603-2000.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.jobs_*.jar") java/lib/org.eclipse.core.jobs_3.4.0.v20080512.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.runtime_*.jar") java/lib/org.eclipse.core.runtime_3.4.0.v20080512.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.core.runtime.compatibility.registry_*.jar") java/lib/org.eclipse.core.runtime.compatibility.registry_3.2.200.v20080610/runtime_registry_compatibility.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.equinox.app_*.jar") java/lib/org.eclipse.equinox.app_1.1.0.v20080421-2006.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.equinox.common_*.jar") java/lib/org.eclipse.equinox.common_3.4.0.v20080421-2006.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.equinox.launcher_*.jar") java/lib/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.equinox.preferences_*.jar") java/lib/org.eclipse.equinox.preferences_3.2.201.R34x_v20080709.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.equinox.registry_*.jar") java/lib/org.eclipse.equinox.registry_3.4.0.v20080516-0950.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.help_*.jar") java/lib/org.eclipse.help_3.3.101.v20080702_34x.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.jface_*.jar") java/lib/org.eclipse.jface_3.4.1.M20080827-2000.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.jface.databinding_*.jar") java/lib/org.eclipse.jface.databinding_1.2.1.M20080827-0800a.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.osgi_*.jar") java/lib/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt_*.jar") java/lib/org.eclipse.swt_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt.carbon.macosx_*.jar") java/lib/org.eclipse.swt.carbon.macosx_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt.gtk.linux.x86_*.jar") java/lib/org.eclipse.swt.gtk.linux.x86_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt.gtk.linux.x86_64_*.jar") java/lib/org.eclipse.swt.gtk.linux.x86_64_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt.gtk.solaris.sparc_*.jar") java/lib/org.eclipse.swt.gtk.solaris.sparc_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.swt.win32.win32.x86_*.jar") java/lib/org.eclipse.swt.win32.win32.x86_3.4.1.v3449c.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.ui_*.jar") java/lib/org.eclipse.ui_3.4.1.M20080910-0800.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.ui.forms_*.jar") java/lib/org.eclipse.ui.forms_3.3.101.v20080708_34x.jar
ln -sf $(find /usr/lib/eclipse -name "org.eclipse.ui.workbench_*.jar") java/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar
%else
rm -rf java/management/eclipse-plugin/*
%endif
ln -sf $(build-classpath jline) java/lib/jline-0.9.94.jar
ln -sf $(build-classpath servlet_2_5_api) java/lib/servlet-api.jar

%build
cd java
ant build doc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins


install -m 644 java/build/lib/plugins/qpid-broker-plugins-access-control-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/plugins/qpid-broker-plugins-experimental-info-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/plugins/qpid-broker-plugins-experimental-shutdown-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/plugins/qpid-broker-plugins-extras-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/plugins/qpid-broker-plugins-firewall-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/plugins/qpid-broker-plugins-simple-xml-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
install -m 644 java/build/lib/qpid-all.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-access-control-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-experimental-info-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-experimental-shutdown-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-extras-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-firewall-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-plugins-simple-xml-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-broker-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-client-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-client-example-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-client-example-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-client-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-common-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-common-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-integrationtests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-integrationtests-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-junit-toolkit-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-junit-toolkit-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-agent-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-agent-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-client-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-client-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-common-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-common-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-console-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-console-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
%if %{eclipse}
install -m 644 java/build/lib/qpid-management-eclipse-plugin-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-eclipse-plugin-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
%endif
install -m 644 java/build/lib/qpid-management-example-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-example-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-tools-qpid-cli-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-management-tools-qpid-cli-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-perftests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-perftests-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-systests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-systests-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-testkit-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-testkit-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-tools-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 java/build/lib/qpid-tools-tests-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-broker.pom
%add_to_maven_depmap org.apache.qpid qpid-broker %{version} JPP/%{name} qpid-broker
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-client.pom
%add_to_maven_depmap org.apache.qpid qpid-client %{version} JPP/%{name} qpid-client
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common.pom
%add_to_maven_depmap org.apache.qpid qpid-common %{version} JPP/%{name} qpid-common

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr java/build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# home
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -pr java/build/bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
find $RPM_BUILD_ROOT%{_datadir}/%{name}/bin -name "*.bat" -exec rm {} \;
find $RPM_BUILD_ROOT%{_datadir}/%{name}/bin -name "*.cmd" -exec rm {} \;
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
cp -pr java/build/etc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins
ln -sf $(build-classpath backport-util-concurrent) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-beanutils-core) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-cli) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-codec) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-collections) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-configuration) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-digester) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-lang) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-logging) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-pool) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath geronimo-jms-1.1-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath geronimo-servlet-2.5-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath javassist) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jetty6/jetty6) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jetty6/jetty6-util) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath jline) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath junit) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath log4j) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath mina10/core) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/mina-core.jar
ln -sf $(build-classpath mina10/filter-ssl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/mina-filter-ssl.jar
ln -sf $(build-classpath ws-muse/core) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-core.jar
ln -sf $(build-classpath ws-muse/platform-mini) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-platform-mini.jar
ln -sf $(build-classpath ws-muse/util) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-util.jar
ln -sf $(build-classpath ws-muse/util-qname) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-util-qname.jar
ln -sf $(build-classpath ws-muse/util-xml) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-util-xml.jar
ln -sf $(build-classpath ws-muse/wsa-soap) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsa-soap.jar
ln -sf $(build-classpath ws-muse/wsdm-muws-adv-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-muws-adv-api.jar
ln -sf $(build-classpath ws-muse/wsdm-muws-adv-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-muws-adv-impl.jar
ln -sf $(build-classpath ws-muse/wsdm-muws-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-muws-api.jar
ln -sf $(build-classpath ws-muse/wsdm-muws-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-muws-impl.jar
ln -sf $(build-classpath ws-muse/wsdm-wef-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-wef-api.jar
ln -sf $(build-classpath ws-muse/wsdm-wef-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsdm-wef-impl.jar
ln -sf $(build-classpath ws-muse/wsn-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsn-api.jar
ln -sf $(build-classpath ws-muse/wsn-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsn-impl.jar
ln -sf $(build-classpath ws-muse/wsrf-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsrf-api.jar
ln -sf $(build-classpath ws-muse/wsrf-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsrf-impl.jar
ln -sf $(build-classpath ws-muse/wsrf-rmd) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsrf-rmd.jar
ln -sf $(build-classpath ws-muse/wsx-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsx-api.jar
ln -sf $(build-classpath ws-muse/wsx-impl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/muse-wsx-impl.jar
ln -sf $(build-classpath apache-felix/org.apache.felix.framework) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath apache-felix/org.apache.felix.main) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath slf4j/slf4j-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath slf4j/slf4j-log4j12) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath jetty6/start) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath xalan-j2) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf $(build-classpath xerces-j2) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
#
ln -sf %{_javadir}/apache-qpid/qpid-all.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-access-control-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-experimental-info-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-experimental-shutdown-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-extras-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-firewall-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-plugins-simple-xml-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-broker-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-client.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-client-example.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-client-example-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-client-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-common.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-common-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-integrationtests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-integrationtests-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-junit-toolkit.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-junit-toolkit-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-agent.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-agent-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-client.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-client-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-common.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-common-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-console.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-console-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
%if %{eclipse}
ln -sf %{_javadir}/apache-qpid/qpid-management-eclipse-plugin.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-eclipse-plugin-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
%endif
ln -sf %{_javadir}/apache-qpid/qpid-management-example.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-example-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-tools-qpid-cli.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-management-tools-qpid-cli-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-perftests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-perftests-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-systests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-systests-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-testkit.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-testkit-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-tools.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/qpid-tools-tests.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-access-control.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-experimental-info.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-experimental-shutdown.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-extras.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-firewall.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/
ln -sf %{_javadir}/apache-qpid/plugins/qpid-broker-plugins-simple-xml.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/plugins/


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%dir %{_javadir}/%{name}/plugins
%{_javadir}/%{name}/plugins/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Nov 23 2011 Ralph Apel <r.apel@r-apel.de> 0:0.8-1
- First release

